> ## Documentation Index
> Fetch the complete documentation index at: https://developer.uphold.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Simulate bank deposit

> Simulate an incoming bank deposit for testing purposes.

export const RestEndpointSubjects = ({subjects = []}) => {
  const subjectToIconMap = {
    'client': 'browser',
    'user:individual': 'user',
    'user:business': 'briefcase'
  };
  if (subjects.length === 0) {
    return null;
  }
  return <>
      {subjects.map(subject => <a key={subject} href="/rest-apis/authentication#subjects" className="border-0 opacity-85 hover:opacity-100 transition-opacity">
          <Badge stroke size="lg" icon={subjectToIconMap[subject]} color="gray" className="mr-1">
            {subject}
          </Badge>
        </a>)}
    </>;
};

<RestEndpointSubjects subjects={["user:individual", "user:business"]} />

This endpoint allows you to simulate a bank deposit based on the details returned by the [Setup Account Deposit Method](../set-up-account-deposit-method) endpoint. It is useful for testing how your application handles incoming deposits without needing to perform an actual bank transfer.

The request body is a discriminated union on the `network` field. Required fields vary by network:

| Network  | Required fields                                                                                         |
| -------- | ------------------------------------------------------------------------------------------------------- |
| `fps`    | `sortCode`, `accountNumber`, `reference`, `asset`, `amount`, `remitter` (name, sortCode, accountNumber) |
| `sepa`   | `iban`, `asset`, `amount`, `remitter` (name, bic, iban)                                                 |
| `ach`    | `accountNumber`, `routingNumber`, `amount`                                                              |
| `fednow` | `accountNumber`, `amount`                                                                               |
| `rtp`    | `accountNumber`, `amount`                                                                               |
| `wire`   | `accountNumber`, `amount`                                                                               |


## OpenAPI

````yaml _media/specs/core-openapi.mintlify.json post /core/accounts/test-helpers/bank-deposits
openapi: 3.1.0
info:
  version: 0.1.0
  title: Core API
  description: >-
    The Core API provides essential building blocks that empower businesses to
    embed financial services into their applications.
  contact:
    name: Uphold API Team
    email: developers@uphold.com
    url: https://developer.uphold.com
servers:
  - url: https://api.enterprise.sandbox.uphold.com
    description: Sandbox
  - url: https://api.enterprise.uphold.com
    description: Production
security:
  - OAuth2: []
tags:
  - name: Authentication
    description: Authentication.
  - name: Countries
    description: Countries.
  - name: Users
    description: Users.
  - name: KYC
    description: Individual User's KYC.
  - name: KYB
    description: Business User's KYB.
  - name: Capabilities
    description: User capabilities.
  - name: Terms of service
    description: User terms of service.
  - name: Files
    description: Files.
  - name: Assets
    description: Assets, networks and rails.
  - name: Accounts
    description: Accounts.
  - name: External accounts
    description: External accounts.
  - name: Transactions
    description: Transactions.
  - name: Portfolio
    description: Portfolio.
  - name: Statements
    description: Statements.
  - name: Metadata
    description: Metadata.
  - name: Webhooks
    description: Webhooks.
paths:
  /core/accounts/test-helpers/bank-deposits:
    post:
      tags:
        - Accounts
      summary: Simulate bank deposit
      description: Simulate an incoming bank deposit for testing purposes.
      operationId: core.simulate-bank-deposit
      requestBody:
        $ref: '#/components/requestBodies/simulate-bank-deposit-request-body'
      responses:
        '202':
          $ref: '#/components/responses/simulate-bank-deposit-response'
        '404':
          $ref: '#/components/responses/simulate-bank-deposit-not-found-response'
        '409':
          $ref: '#/components/responses/simulate-bank-deposit-conflict-response'
      security:
        - OAuth2:
            - core.accounts:use-test-helpers
components:
  requestBodies:
    simulate-bank-deposit-request-body:
      content:
        application/json:
          schema:
            type: object
            discriminator:
              propertyName: network
              mapping:
                fps:
                  $ref: '#/components/schemas/simulate-bank-deposit-fps-for-request'
                sepa:
                  $ref: '#/components/schemas/simulate-bank-deposit-sepa-for-request'
                ach:
                  $ref: '#/components/schemas/simulate-bank-deposit-ach-for-request'
                fednow:
                  $ref: >-
                    #/components/schemas/simulate-bank-deposit-fednow-for-request
                rtp:
                  $ref: '#/components/schemas/simulate-bank-deposit-rtp-for-request'
                wire:
                  $ref: '#/components/schemas/simulate-bank-deposit-wire-for-request'
            oneOf:
              - $ref: '#/components/schemas/simulate-bank-deposit-fps-for-request'
                title: FPS
              - $ref: '#/components/schemas/simulate-bank-deposit-sepa-for-request'
                title: SEPA
              - $ref: '#/components/schemas/simulate-bank-deposit-ach-for-request'
                title: ACH
              - $ref: '#/components/schemas/simulate-bank-deposit-fednow-for-request'
                title: FedNow
              - $ref: '#/components/schemas/simulate-bank-deposit-rtp-for-request'
                title: RTP
              - $ref: '#/components/schemas/simulate-bank-deposit-wire-for-request'
                title: Wire
            required:
              - network
          examples:
            Simulate FPS Bank Deposit:
              value:
                network: fps
                sortCode: '123456'
                accountNumber: '12345678'
                reference: UH12345678
                asset: GBP
                amount: '100'
                remitter:
                  name: John Doe
                  sortCode: '654321'
                  accountNumber: '87654321'
            Simulate SEPA Bank Deposit:
              value:
                network: sepa
                iban: AT487954841229809844
                reference: UH12345678
                asset: EUR
                amount: '100'
                remitter:
                  name: John Doe
                  bic: LHVBEE22
                  iban: DE89370400440532013000
            Simulate ACH Bank Deposit:
              value:
                network: ach
                accountNumber: '378928485630'
                routingNumber: '021214891'
                amount: '123'
                remitter:
                  name: John Doe
                  accountNumber: '987654321'
                  routingNumber: '021214891'
                  secCode: CCD
                  transactionType: Push
                  serviceType: SameDay
            Simulate FedNow Bank Deposit:
              value:
                network: fednow
                accountNumber: '378928485630'
                amount: '150'
                remitter:
                  name: John Doe
                  accountNumber: '1234567890'
                  routingNumber: '026009593'
            Simulate RTP Bank Deposit:
              value:
                network: rtp
                accountNumber: '378928485630'
                amount: '150'
                remitter:
                  name: John Doe
                  accountNumber: '1234567890'
                  routingNumber: '026009593'
            Simulate Wire Bank Deposit:
              value:
                network: wire
                accountNumber: '378928485630'
                amount: '200'
                remitter:
                  name: John Doe
  responses:
    simulate-bank-deposit-response:
      description: Bank deposit simulated.
      content:
        application/json:
          schema:
            type: object
            properties:
              bankDeposit:
                type: object
                discriminator:
                  propertyName: network
                  mapping:
                    fps:
                      $ref: '#/components/schemas/simulate-bank-deposit-fps'
                    sepa:
                      $ref: '#/components/schemas/simulate-bank-deposit-sepa'
                    ach:
                      $ref: '#/components/schemas/simulate-bank-deposit-ach'
                    fednow:
                      $ref: '#/components/schemas/simulate-bank-deposit-fednow'
                    rtp:
                      $ref: '#/components/schemas/simulate-bank-deposit-rtp'
                    wire:
                      $ref: '#/components/schemas/simulate-bank-deposit-wire'
                oneOf:
                  - $ref: '#/components/schemas/simulate-bank-deposit-fps'
                    title: FPS
                  - $ref: '#/components/schemas/simulate-bank-deposit-sepa'
                    title: SEPA
                  - $ref: '#/components/schemas/simulate-bank-deposit-ach'
                    title: ACH
                  - $ref: '#/components/schemas/simulate-bank-deposit-fednow'
                    title: FedNow
                  - $ref: '#/components/schemas/simulate-bank-deposit-rtp'
                    title: RTP
                  - $ref: '#/components/schemas/simulate-bank-deposit-wire'
                    title: Wire
            required:
              - bankDeposit
          examples:
            FPS Bank Deposit Accepted:
              value:
                bankDeposit:
                  network: fps
                  sortCode: '123456'
                  accountNumber: '12345678'
                  reference: UH12345678
                  asset: GBP
                  amount: '100'
                  remitter:
                    name: John Doe
                    sortCode: '654321'
                    accountNumber: '87654321'
            SEPA Bank Deposit Accepted:
              value:
                bankDeposit:
                  network: sepa
                  iban: AT487954841229809844
                  reference: UH12345678
                  asset: EUR
                  amount: '100'
                  remitter:
                    name: John Doe
                    bic: LHVBEE22
                    iban: DE89370400440532013000
            ACH Bank Deposit Accepted:
              value:
                bankDeposit:
                  network: ach
                  accountNumber: '378928485630'
                  routingNumber: '021214891'
                  asset: USD
                  amount: '123'
                  remitter:
                    name: John Doe
                    accountNumber: '987654321'
                    routingNumber: '021214891'
                    secCode: CCD
                    transactionType: Push
                    serviceType: SameDay
            FedNow Bank Deposit Accepted:
              value:
                bankDeposit:
                  network: fednow
                  accountNumber: '378928485630'
                  asset: USD
                  amount: '150'
                  remitter:
                    name: John Doe
                    accountNumber: '1234567890'
                    routingNumber: '026009593'
            RTP Bank Deposit Accepted:
              value:
                bankDeposit:
                  network: rtp
                  accountNumber: '378928485630'
                  asset: USD
                  amount: '150'
                  remitter:
                    name: John Doe
                    accountNumber: '1234567890'
                    routingNumber: '026009593'
            Wire Bank Deposit Accepted:
              value:
                bankDeposit:
                  network: wire
                  accountNumber: '378928485630'
                  amount: '200'
                  asset: USD
                  remitter:
                    name: John Doe
      headers:
        x-uphold-request-id:
          description: >-
            A unique identifier for the request that can be shared with Uphold
            for troubleshooting purposes.
          required: true
          schema:
            type: string
            format: uuid
          examples:
            Request ID:
              value: 9092ee4d-f0fb-42e9-8787-b668dbcec531
    simulate-bank-deposit-not-found-response:
      description: Resource not found.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
          examples:
            Deposit Method Not Found:
              value:
                code: entity_not_found
                message: The account deposit method cannot be found
                details:
                  entity: depositMethod
      headers:
        x-uphold-request-id:
          description: >-
            A unique identifier for the request that can be shared with Uphold
            for troubleshooting purposes.
          required: true
          schema:
            type: string
            format: uuid
          examples:
            Request ID:
              value: 9092ee4d-f0fb-42e9-8787-b668dbcec531
    simulate-bank-deposit-conflict-response:
      description: Business logic error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
          examples:
            Asset Not Supported:
              value:
                code: asset_not_supported
                message: The asset is not supported
                details:
                  context: body
                  property: asset
            Amount Minimum Limit Not Met:
              value:
                code: transaction_amount_invalid
                message: The amount minimum limit was not met
                details:
                  context: body
                  property: amount
                  rule: minimum-limit-not-met
                  threshold:
                    value: 10
            Remitter And Recipient Cannot Match:
              value:
                code: remitter_and_recipient_cannot_match
                message: The remitter and recipient cannot match
            Remitter IBAN Invalid:
              value:
                code: invalid_number
                message: The remitter IBAN is invalid
                details:
                  context: body
                  property: remitter.iban
      headers:
        x-uphold-request-id:
          description: >-
            A unique identifier for the request that can be shared with Uphold
            for troubleshooting purposes.
          required: true
          schema:
            type: string
            format: uuid
          examples:
            Request ID:
              value: 9092ee4d-f0fb-42e9-8787-b668dbcec531
  schemas:
    simulate-bank-deposit-fps-for-request:
      type: object
      properties:
        network:
          description: The network used to process the bank transfer.
          type: string
          enum:
            - fps
        sortCode:
          allOf:
            - $ref: '#/components/schemas/string-no-edge-spaces'
            - description: >-
                The six-digit sort code of the destination bank account where
                funds will be deposited.
              type: string
              pattern: ^\d{6}$
        accountNumber:
          allOf:
            - $ref: '#/components/schemas/non-zero-account-number-fps'
            - description: >-
                The account number of the destination bank account where funds
                will be deposited.
        asset:
          allOf:
            - $ref: '#/components/schemas/string-no-edge-spaces'
            - description: The user's account settlement asset.
        amount:
          allOf:
            - $ref: '#/components/schemas/non-zero-decimal-amount'
            - description: The amount to be deposited into the destination account.
        reference:
          allOf:
            - $ref: '#/components/schemas/string-no-edge-spaces'
            - description: >-
                A unique identifier indicating the specific account where the
                funds should be credited.

                If omitted, funds will be credited to the user's default
                account.
        remitter:
          description: Information about the bank deposit sender.
          type: object
          additionalProperties: false
          minProperties: 1
          properties:
            name:
              allOf:
                - $ref: '#/components/schemas/string-no-edge-spaces'
                - description: >-
                    The deposit sender's full name. Defaults to the
                    authenticated user's name if not provided.
                  type: string
                  maxLength: 200
            sortCode:
              allOf:
                - $ref: '#/components/schemas/string-no-edge-spaces'
                - description: >-
                    The six-digit sort code of the sender's bank branch. A
                    random value will be generated if not provided.
                  type: string
                  pattern: ^\d{6}$
            accountNumber:
              allOf:
                - $ref: '#/components/schemas/string-no-edge-spaces'
                - description: >-
                    The account number of the sender's bank account. A random
                    value will be generated if not provided.
                  type: string
                  pattern: ^\d{8}$
      required:
        - network
        - sortCode
        - accountNumber
        - asset
        - amount
    simulate-bank-deposit-sepa-for-request:
      type: object
      properties:
        network:
          description: The network used to process the bank transfer.
          type: string
          enum:
            - sepa
        iban:
          allOf:
            - $ref: '#/components/schemas/string-no-edge-spaces'
            - description: The deposit destination virtual IBAN.
              type: string
              pattern: ^[A-Z]{2}[0-9]{2}[A-Z0-9]{4}[0-9]{7}([A-Z0-9]?){0,16}$
        asset:
          allOf:
            - $ref: '#/components/schemas/string-no-edge-spaces'
            - description: The bank account settlement asset.
        amount:
          allOf:
            - $ref: '#/components/schemas/non-zero-decimal-amount'
            - description: The amount to be deposited into the destination account.
        reference:
          allOf:
            - $ref: '#/components/schemas/string-no-edge-spaces'
            - description: >-
                A unique identifier indicating the specific account where the
                funds should be credited.

                If omitted, funds will be credited to the user's default
                account.
        remitter:
          description: Information about the bank deposit sender.
          type: object
          additionalProperties: false
          minProperties: 1
          properties:
            name:
              allOf:
                - $ref: '#/components/schemas/string-no-edge-spaces'
                - description: >-
                    The deposit sender's full name. Defaults to the
                    authenticated user's name if not provided.
                  type: string
                  maxLength: 200
            bic:
              allOf:
                - $ref: '#/components/schemas/string-no-edge-spaces'
                - description: >-
                    The sender's bank BIC. A random value will be generated if
                    not provided.
                  type: string
                  pattern: ^[A-Z]{6}[A-Z0-9]{2}([A-Z0-9]{3})?$
            iban:
              allOf:
                - $ref: '#/components/schemas/string-no-edge-spaces'
                - description: >-
                    The sender's IBAN. A random value will be generated if not
                    provided.
                  type: string
                  pattern: ^[A-Z]{2}[0-9]{2}[A-Z0-9]{4}[0-9]{7}([A-Z0-9]?){0,16}$
      required:
        - network
        - iban
        - asset
        - amount
    simulate-bank-deposit-ach-for-request:
      type: object
      additionalProperties: false
      properties:
        network:
          description: The network used to process the bank transfer.
          type: string
          enum:
            - ach
        accountNumber:
          allOf:
            - $ref: '#/components/schemas/non-zero-account-number-us'
            - description: >-
                The account number of the destination bank account where funds
                will be deposited.
        routingNumber:
          allOf:
            - $ref: '#/components/schemas/string-no-edge-spaces'
            - description: The nine-digit routing number of the destination bank account.
              type: string
              pattern: ^\d{9}$
        amount:
          allOf:
            - $ref: '#/components/schemas/non-zero-decimal-amount'
            - description: The amount to be deposited into the destination account.
        remitter:
          description: >-
            The information about the external bank account holder who is
            sending the funds.
          type: object
          additionalProperties: false
          minProperties: 1
          properties:
            name:
              allOf:
                - $ref: '#/components/schemas/string-no-edge-spaces'
                - description: >-
                    The full name of the account holder sending the funds.
                    Defaults to the authenticated user's name if not provided.
                  type: string
                  maxLength: 200
            accountNumber:
              allOf:
                - $ref: '#/components/schemas/non-zero-account-number-us'
                - description: >-
                    The account number of the sender's bank account. A random
                    value will be generated if not provided.
            routingNumber:
              allOf:
                - $ref: '#/components/schemas/string-no-edge-spaces'
                - description: >-
                    The nine-digit routing number of the sender's bank. A random
                    value will be generated if not provided.
                  type: string
                  pattern: ^\d{9}$
            secCode:
              allOf:
                - $ref: '#/components/schemas/string-no-edge-spaces'
                - description: >-
                    The SEC code for the ACH transaction. Defaults to WEB if not
                    provided.
                  type: string
                  enum:
                    - CCD
                    - PPD
                    - WEB
            transactionType:
              allOf:
                - $ref: '#/components/schemas/string-no-edge-spaces'
                - description: >-
                    The transaction type for the ACH transfer. Defaults to Push
                    if not provided.
                  type: string
                  enum:
                    - Pull
                    - Push
            serviceType:
              allOf:
                - $ref: '#/components/schemas/string-no-edge-spaces'
                - description: >-
                    The service type for the ACH transfer. Defaults to SameDay
                    if not provided.
                  type: string
                  enum:
                    - Standard
                    - SameDay
      required:
        - network
        - accountNumber
        - routingNumber
        - amount
    simulate-bank-deposit-fednow-for-request:
      type: object
      additionalProperties: false
      properties:
        network:
          description: The network used to process the bank transfer.
          type: string
          enum:
            - fednow
        accountNumber:
          allOf:
            - $ref: '#/components/schemas/non-zero-account-number-us'
            - description: >-
                The account number of the destination bank account where funds
                will be deposited.
        amount:
          allOf:
            - $ref: '#/components/schemas/non-zero-decimal-amount'
            - description: The amount to be deposited into the destination account.
        remitter:
          description: >-
            The information about the external bank account holder who is
            sending the funds.
          type: object
          additionalProperties: false
          minProperties: 1
          properties:
            name:
              allOf:
                - $ref: '#/components/schemas/string-no-edge-spaces'
                - description: >-
                    The full name of the account holder sending the funds.
                    Defaults to the authenticated user's name if not provided.
                  type: string
                  maxLength: 200
            accountNumber:
              allOf:
                - $ref: '#/components/schemas/non-zero-account-number-us'
                - description: >-
                    The account number of the sender's bank account. A random
                    value will be generated if not provided.
            routingNumber:
              allOf:
                - $ref: '#/components/schemas/string-no-edge-spaces'
                - description: >-
                    The nine-digit routing number of the sender's bank. A random
                    value will be generated if not provided.
                  type: string
                  pattern: ^\d{9}$
      required:
        - network
        - accountNumber
        - amount
    simulate-bank-deposit-rtp-for-request:
      type: object
      additionalProperties: false
      properties:
        network:
          description: The network used to process the bank transfer.
          type: string
          enum:
            - rtp
        accountNumber:
          allOf:
            - $ref: '#/components/schemas/non-zero-account-number-us'
            - description: >-
                The account number of the destination bank account where funds
                will be deposited.
        amount:
          allOf:
            - $ref: '#/components/schemas/non-zero-decimal-amount'
            - description: The amount to be deposited into the destination account.
        remitter:
          description: >-
            The information about the external bank account holder who is
            sending the funds.
          type: object
          additionalProperties: false
          minProperties: 1
          properties:
            name:
              allOf:
                - $ref: '#/components/schemas/string-no-edge-spaces'
                - description: >-
                    The full name of the account holder sending the funds.
                    Defaults to the authenticated user's name if not provided.
                  type: string
                  maxLength: 200
            accountNumber:
              allOf:
                - $ref: '#/components/schemas/non-zero-account-number-us'
                - description: >-
                    The account number of the sender's bank account. A random
                    value will be generated if not provided.
            routingNumber:
              allOf:
                - $ref: '#/components/schemas/string-no-edge-spaces'
                - description: >-
                    The nine-digit routing number of the sender's bank. A random
                    value will be generated if not provided.
                  type: string
                  pattern: ^\d{9}$
      required:
        - network
        - accountNumber
        - amount
    simulate-bank-deposit-wire-for-request:
      type: object
      additionalProperties: false
      properties:
        network:
          description: The network used to process the bank transfer.
          type: string
          enum:
            - wire
        accountNumber:
          allOf:
            - $ref: '#/components/schemas/non-zero-account-number-us'
            - description: >-
                The account number of the destination bank account where funds
                will be deposited.
        amount:
          allOf:
            - $ref: '#/components/schemas/non-zero-decimal-amount'
            - description: The amount to be deposited into the destination account.
        remitter:
          description: Information about the remitter of the wire transfer.
          type: object
          additionalProperties: false
          minProperties: 1
          properties:
            name:
              allOf:
                - $ref: '#/components/schemas/string-no-edge-spaces'
                - description: The remitter's full name.
                  type: string
                  maxLength: 200
            address1:
              allOf:
                - $ref: '#/components/schemas/string-no-edge-spaces'
                - description: The remitter's first address line.
                  type: string
            address2:
              allOf:
                - $ref: '#/components/schemas/string-no-edge-spaces'
                - description: The remitter's second address line.
                  type: string
            idCode:
              allOf:
                - $ref: '#/components/schemas/string-no-edge-spaces'
                - description: The remitter's identification code.
                  type: string
            identifier:
              allOf:
                - $ref: '#/components/schemas/string-no-edge-spaces'
                - description: The remitter's identifier.
                  type: string
          required:
            - name
      required:
        - network
        - accountNumber
        - amount
    simulate-bank-deposit-fps:
      type: object
      properties:
        network:
          description: The payment network used to process the simulated deposit.
          type: string
          enum:
            - fps
        sortCode:
          description: >-
            The sort code of the destination account that received the simulated
            deposit.
          type: string
        accountNumber:
          description: >-
            The account number of the destination account that received the
            simulated deposit.
          type: string
        asset:
          description: The asset of the simulated deposit transaction.
          type: string
        amount:
          description: The amount that was deposited in the simulation.
          type: string
        reference:
          description: >-
            The payment reference used for the simulated deposit, if one was
            provided.
          type: string
        remitter:
          description: The details of the simulated sender's bank account information.
          type: object
          properties:
            name:
              description: The full name of the simulated sender.
              type: string
            sortCode:
              description: The sort code of the simulated sender's bank branch.
              type: string
            accountNumber:
              description: The account number of the simulated sender's bank account.
              type: string
          required:
            - name
            - sortCode
            - accountNumber
      required:
        - network
        - sortCode
        - accountNumber
        - asset
        - amount
        - remitter
    simulate-bank-deposit-sepa:
      type: object
      properties:
        network:
          description: The payment network used to process the simulated deposit.
          type: string
          enum:
            - sepa
        iban:
          description: >-
            The IBAN of the destination account that received the simulated
            deposit.
          type: string
        asset:
          description: The bank account settlement asset.
          type: string
        amount:
          description: The amount that was deposited in the simulation.
          type: string
        reference:
          description: >-
            The payment reference used for the simulated deposit, if one was
            provided.
          type: string
        remitter:
          description: The details of the simulated sender's bank account information.
          type: object
          properties:
            name:
              description: The full name of the simulated sender.
              type: string
            bic:
              description: The simulated sender's bank BIC.
              type: string
            iban:
              description: The simulated sender's IBAN.
              type: string
          required:
            - name
            - bic
            - iban
      required:
        - network
        - iban
        - asset
        - amount
        - remitter
    simulate-bank-deposit-ach:
      type: object
      properties:
        network:
          description: The payment network used to process the simulated deposit.
          type: string
          enum:
            - ach
        accountNumber:
          description: >-
            The account number of the destination account that received the
            simulated deposit.
          type: string
        routingNumber:
          description: >-
            The routing number of the destination account that received the
            simulated deposit.
          type: string
        asset:
          description: The asset of the simulated deposit transaction.
          type: string
        amount:
          description: The amount that was deposited in the simulation.
          type: string
        remitter:
          description: The details of the simulated sender's bank account information.
          type: object
          properties:
            name:
              description: >-
                The full name of the simulated account holder who sent the
                funds.
              type: string
            accountNumber:
              description: The account number of the simulated sender's bank account.
              type: string
            routingNumber:
              description: The routing number of the simulated sender's bank.
              type: string
            secCode:
              description: The SEC code used for the ACH transaction.
              type: string
              enum:
                - CCD
                - PPD
                - WEB
            transactionType:
              description: The transaction type for the ACH transfer.
              type: string
              enum:
                - Pull
                - Push
            serviceType:
              description: The service type for the ACH transfer.
              type: string
              enum:
                - Standard
                - SameDay
          required:
            - name
      required:
        - network
        - accountNumber
        - routingNumber
        - asset
        - amount
        - remitter
    simulate-bank-deposit-fednow:
      type: object
      properties:
        network:
          description: The payment network used to process the simulated deposit.
          type: string
          enum:
            - fednow
        accountNumber:
          description: >-
            The account number of the destination account that received the
            simulated deposit.
          type: string
        asset:
          description: The asset of the simulated deposit transaction.
          type: string
        amount:
          description: The amount that was deposited in the simulation.
          type: string
        remitter:
          description: The details of the simulated sender's bank account information.
          type: object
          properties:
            name:
              description: >-
                The full name of the simulated account holder who sent the
                funds.
              type: string
            accountNumber:
              description: The account number of the simulated sender's bank account.
              type: string
            routingNumber:
              description: The routing number of the simulated sender's bank.
              type: string
          required:
            - name
      required:
        - network
        - accountNumber
        - asset
        - amount
        - remitter
    simulate-bank-deposit-rtp:
      type: object
      properties:
        network:
          description: The payment network used to process the simulated deposit.
          type: string
          enum:
            - rtp
        accountNumber:
          description: >-
            The account number of the destination account that received the
            simulated deposit.
          type: string
        asset:
          description: The asset of the simulated deposit transaction.
          type: string
        amount:
          description: The amount that was deposited in the simulation.
          type: string
        remitter:
          description: The details of the simulated sender's bank account information.
          type: object
          properties:
            name:
              description: >-
                The full name of the simulated account holder who sent the
                funds.
              type: string
            accountNumber:
              description: The account number of the simulated sender's bank account.
              type: string
            routingNumber:
              description: The routing number of the simulated sender's bank.
              type: string
          required:
            - name
      required:
        - network
        - accountNumber
        - asset
        - amount
        - remitter
    simulate-bank-deposit-wire:
      type: object
      properties:
        network:
          description: The payment network used to process the simulated deposit.
          type: string
          enum:
            - wire
        accountNumber:
          description: >-
            The account number of the destination account that received the
            simulated deposit.
          type: string
        amount:
          description: The amount that was deposited in the simulation.
          type: string
        asset:
          description: The asset of the simulated deposit transaction.
          type: string
        remitter:
          description: The remitter of the wire transfer.
          type: object
          properties:
            name:
              description: The remitter's full name.
              type: string
            address1:
              description: The remitter's first address line.
              type: string
            address2:
              description: The remitter's second address line.
              type: string
            idCode:
              description: The remitter's identification code.
              type: string
            identifier:
              description: The remitter's identifier.
              type: string
          required:
            - name
      required:
        - network
        - accountNumber
        - amount
        - asset
    error:
      description: The error information.
      allOf:
        - $ref: '#/components/schemas/feedback'
    string-no-edge-spaces:
      type: string
      pattern: ^\S.*\S$|^\S$
    non-zero-account-number-fps:
      type: string
      pattern: ^(?!0+$)[0-9]{6,8}$
    non-zero-decimal-amount:
      type: string
      pattern: ^(?!0+(\.0+)?$)\d+(\.\d+)?$
    non-zero-account-number-us:
      type: string
      pattern: ^(?!0+$)[0-9]{4,17}$
    feedback:
      description: A feedback message with a code and human-readable description.
      type: object
      properties:
        code:
          description: A short string with a brief explanation about the code reported.
          type: string
        message:
          description: A human-readable message providing more details.
          type: string
        details:
          description: Additional information about the feedback reported.
          type: object
          additionalProperties: true
      required:
        - code
        - message
  securitySchemes:
    OAuth2:
      type: oauth2
      description: OAuth 2.0 authentication.
      flows:
        clientCredentials:
          tokenUrl: /core/oauth2/token
          scopes:
            core.users:act-on-behalf-of: Grants access to act on behalf of a user
            core.users:create: Grants access to create users
            core.users:read: Grants access to view users
            core.users:delete: Grants access to delete users
            core.users.metadata:read: Grants access to view user metadata
            core.users.metadata:write: Grants access to modify user metadata
            core.kyc:read: Grants access to view KYC processes
            core.kyc.profile:update: Grants access to update profile KYC process
            core.kyc.address:update: Grants access to update address KYC process
            core.kyc.email:update: Grants access to update email KYC process
            core.kyc.phone:update: Grants access to update phone KYC process
            core.kyc.identity:update: Grants access to update identity KYC process
            core.kyc.proof-of-address:update: Grants access to update proof-of-address KYC process
            core.kyc.customer-due-diligence:update: Grants access to update customer due diligence KYC process
            core.kyc.enhanced-due-diligence:update: Grants access to update enhanced due diligence KYC process
            core.kyc.crypto-risk-assessment:update: Grants access to update crypto risk assessment KYC process
            core.kyc.self-categorization-statement:update: Grants access to update self-categorization statement KYC process
            core.kyc.tax-details:update: Grants access to update tax details KYC process
            core.capabilities:read: Grants access to view user capabilities
            core.terms-of-service:read: Grants access to view terms of service
            core.terms-of-service:accept: Grants access to accept terms of service
            core.files:create: Grants access to create files
            core.files:read: Grants access to view files
            core.files.metadata:read: Grants access to view files metadata
            core.files.metadata:write: Grants access to modify files metadata
            core.accounts:create: Grants access to create accounts
            core.accounts:read: Grants access to view accounts
            core.accounts:update: Grants access to update accounts
            core.accounts:archive: Grants access to archive accounts
            core.accounts:deposit-method: >-
              Grants access to deposit method needed for depositing into
              accounts
            core.accounts:use-test-helpers: Grants access to test helpers of accounts
            core.accounts.metadata:read: Grants access to view accounts metadata
            core.accounts.metadata:write: Grants access to modify accounts metadata
            core.assets:use-test-helpers: Grants access to test helpers of assets
            core.external-accounts:create: Grants access to create external accounts
            core.external-accounts:read: Grants access to view external accounts
            core.external-accounts:update: Grants access to update external accounts
            core.external-accounts:delete: Grants access to delete external accounts
            core.external-accounts.metadata:read: Grants access to view external accounts metadata
            core.external-accounts.metadata:write: Grants access to modify external accounts metadata
            core.transactions:create: Grants access to commit quotes
            core.transactions:read: Grants access to view transactions
            core.transactions.metadata:read: Grants access to view transactions metadata
            core.transactions.metadata:write: Grants access to modify transactions metadata
            core.transactions.requests-for-information:read: Grants access to view transactions requests for information
            core.transactions.requests-for-information:update: Grants access to update transactions requests for information
            core.portfolio:read: >-
              Grants access to view portfolio overview, performance, and
              historical balance
            core.statements:read: Grants access to read statements
            core.webhooks:management-link: Grants access to create webhook management links

````